{% extends 'admin/base.html.twig' %}

{% block back_stylesheets %}
    {{ parent() }}
    <style>
        body {
            background-image: url({{ asset('images/background.jpg') }});
            background-color: #222d32;
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
        }
    </style>
{% endblock %}
{% block back_body %}
    <div class="row">
        <div class="col-md-6 col-md-offset-3 text-center"
             style="background-color: rgba(0, 0, 0, 0.8); border-radius: 10px; margin-top:10% ">
            <h1 class="form-title-login">Admin panel</h1>
            {% if error %}
                <div class="col-md-8 col-md-offset-2">
                    <div class="alert alert-danger alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                        <h4><i class="icon fa fa-ban"></i> {{ error.messageKey|trans(error.messageData, 'security') }}
                        </h4>
                    </div>
                </div>
            {% endif %}
            <form class="form-horizontal" action="{{ path('user_login') }}" method="post" style="margin-top: 20px;">
                <div class="form-group">
                    <div class="col-md-8 col-md-offset-2">
                        <input type="text" class="form-control input-lg" id="username" name="_username"
                               placeholder="Username" value="{{ lastUsername }}" required="required">
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-8 col-md-offset-2">
                        <input type="password" class="form-control input-lg" id="password" name="_password"
                               placeholder="Password" required="required">
                    </div>
                </div>
                <button type="submit" class="col-md-8 col-md-offset-2 btn btn-lg btn-danger"
                        style="margin-bottom: 40px;">SIGN IN
                </button>
            </form>
        </div>
    </div>
{% endblock %}
